Subject: Re: [RFC PATCH 2/2] git-gui: teach fetch/prune menu to do it for all remotes

From: Jens Lehmann <[email-masked]>
Date: Tue, 22 Feb 2011 19:36:23 +0100

Am 13.02.2011 14:57, schrieb Heiko Voigt:
> The commandline fetch already has this option for some time.  Since this
> was not available at the time git gui was written lets implement it now.

I really like this feature, I wanted to have that for quite some time!

After testing it, I noticed two minor things:

1) It would be nice if the new menu entry would only appear when there
   is more than one remote to fetch from.

2) I would rather like to see it at the *end* of the submenu, not at the
   beginning. Being used to always click on the first menu entry only
   to learn that the remote that used to be there got with something
   else is kind of surprising ;-)

What do others think?